dirs= dir;

for idx =   3: length( dirs),
    if dirs(idx).isdir,
       file = ['merged_cropped.png'];
       
       if exist( dirs(idx).name) == 7,
           cd(dirs(idx).name)
           
           if exist( file ) ==2,
               
                system( ['start ', file ] );
                
           end
           cd .. 
       end
    end
end

